Thomas
Friedrichsmeier

    rkward-devel@lists.sourceforge.net

2011-05-23
rkward
1

# `rkward`

A &kde; frontend to R

    rkward
    workspace_file
    --evaluate  Rcode
    --debug-level  level
    --debug-flags  flags
    --debugger  debugger_command
    KDE Generic Options
    Qt Generic Options

## Description

&rkward; is the a &kde;-based GUI and IDE for the &R; scripting language for statistical computing.

For more information, please refer to the &rkward; website, and the documentation provided inside &rkward;.

## Options

`--evaluate` Rcode

  The given &R; code is evaluated after &rkward; has started, and after any specified workspace is loaded. Mostly useful for automated testing.

`--debug-level` level

  Verbosity of debug output. 0-5, where 0 is no output, 5 is all output including function trace information. Default it 2.

`--debug-flags` flags

  Allows to configure, which sections of code to debug. Flags are given as a binary number. Refer to the source files for documentation, as this really is an internal option.

`--debugger` command

  Run &rkward; through the specified debugger command. To add command line options to the debugger command, enclose them in single quotes ('') together with the command. NOTE: To use the \-\-debugger option, it must be specified as the first option on the command line. Only the frontend process will be debugged, using this option.

## See Also

R 1

## Authors

&rkward; was written by Thomas Friedrichsmeier and the &rkward; team. See the &rkward; website.